package
{
	import com.google.analytics.debug._Style;
	import com.greensock.TweenLite;
	import com.greensock.TweenMax;
	import com.greensock.plugins.HexColorsPlugin;
	import com.greensock.plugins.TweenPlugin;
	
	import org.flixel.*;
	import org.flixel.system.*;
	
	public class EndState extends FlxState
	{
		private var _title:FlxText;
		private var _newgame:FlxButton;
		private var _continue:FlxButton;
		
		public static var save:FlxSave;
		private var fading:Boolean=false;
		override public function create():void
		{							
			var bg:FlxSprite = new FlxSprite(0,0,GameState.ImgTitleBg);
			add(bg);
						
			
		
			_title = new FlxText(6,20,FlxG.width-8,"Sad to see you go - there will always be more puppies for you to train if you're ever back in the neighbourhood :)\n\nEnjoy life in America, and I hope you've a safe trip over!");			
			_title.color=0xffffff;
			add(_title);			
			
			
			_newgame = new FlxButton(31,120,"Thanks",newgameclick);
			add(_newgame);
			
		}
			
		
		private function newgameclick():void
		{
			if (fading)
				return;
			
			FlxG.play(GameState.SndClick);
			fading=true;
			FlxG.fade(0xff000000,1,function():void{FlxG.switchState(new Epilogue());});
		}
		
	}
}